http://Bj83.de

Exception Handling in Java

public void FunctionName() throws Exception{
   throw new Exception();
}

throws gibt exception an die aufrufende funktion weiter

UnexpectedException = unerwartete Exception

Abfangen auch innerhalb der verarbeitung moeglich:

try{
   throw new UnexpectedException();
}catch(UnexpectedException ex){
   ex.PrintStackTrace();
}

Unexpected nur mit Try-Catch möglich!

Leave a Reply

Your email address will not be published. Required fields are marked *

Follow

Get every new post on this blog delivered to your Inbox.

Join other followers: